Aavescan logo Aavescan

Data platform and API for Aave
API docs

Endpoints

Aave Daily History

Fetch the entire history of an Aave market with daily snapshots including supply APR, borrow APR, total supplied and total borrowed. Returns CSV formatted data. View full response field definitions.

GET /v2/csv

Query parameters

  • market

    The Aave market slug, for example aave-v3-ethereum.

  • reserveAddress

    The underlying asset contract address for the reserve.

  • apiKey

    Your Aavescan API key.

Example query

curl "https://api.aavescan.com/v2/csv?market=aave-v3-ethereum&reserveAddress=0xdac17f958d2ee523a2206206994597c13d831ec7&apiKey=YourApiKey"

Example response (snippet)

[
  {
    "targetDate": "2023-01-31T00:00:00Z",
    "timestamp": 1675123200,
    "blockNumber": 16523084,
    "symbol": "USDC",
    "reserve": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "price": 0.999945,
    "supplyApr": 0.015419796956746024710684818,
    "borrowApr": 0.027594772234141101478347259,
    "supplyApr24h": 0.017614235651001175,
    "borrowApr24h": 0.029454743746066825,
    "totalSupplied": 10585713.644445,
    "totalBorrowed": 6572512.483866,
    "totalSuppliedUsd": 10585131.430194555,
    "totalBorrowedUsd": 6572150.995679387,
    "supplyIndex": 1.000202744341740122313763963,
    "borrowIndex": 1.000318082100392105846250101
  }
]